## chaos-marmosets 0.1.1

=== Makefile ===
VERSION = 0.1.1

CC ?= gcc
CFLAGS ?= -std=gnu99 -Wall -Wextra -Werror -O3
PREFIX ?= /usr

all: divide-by-zero leak-memory seg-fault doc

%: %.c noinline.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^

clean:
	rm -f divide-by-zero leak-memory seg-fault *.1

%.1: %.1.md
	pandoc -s -t man $^ -o $@

doc: divide-by-zero.1 leak-memory.1 seg-fault.1

install: divide-by-zero leak-memory seg-fault
	install -D -m 755 divide-by-zero $(DESTDIR)$(PREFIX)/bin/divide-by-zero
	install -D -m 755 leak-memory $(DESTDIR)$(PREFIX)/bin/leak-memory
	install -D -m 755 seg-fault $(DESTDIR)$(PREFIX)/bin/seg-fault
	install -D -m 644 divide-by-zero.1 $(DESTDIR)$(PREFIX)/share/man/man1/divide-by-zero.1
	install -D -m 644 leak-memory.1 $(DESTDIR)$(PREFIX)/share/man/man1/leak-memory.1
	install -D -m 644 seg-fault.1 $(DESTDIR)$(PREFIX)/share/man/man1/seg-fault.1

version:
	@echo $(VERSION)

%.asc: %
	gpg --armor --batch --detach-sign --yes --output $@ $^

%.tar.xz: divide-by-zero.1.md divide-by-zero.c leak-memory.1.md leak-memory.c LICENSE Makefile NEWS noinline.h README.md seg-fault.1.md seg-fault.c
	tar -cJf $@ --transform 's,^,chaos-marmosets-$(VERSION)/,' $^

dist: chaos-marmosets-$(VERSION).tar.xz chaos-marmosets-$(VERSION).tar.xz.asc

.PHONY: all clean dist doc install version

=== debian/changelog ===
chaos-marmosets (0.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 18 Aug 2021 15:01:39 +0200

chaos-marmosets (0.1-1) unstable; urgency=medium

  * Initial release (Closes: #987423)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 16 Aug 2021 10:44:03 +0200

=== debian/control ===
Source: chaos-marmosets
Section: utils
Priority: optional
Maintainer: Benjamin Drung <bdrung@debian.org>
Build-Depends: debhelper-compat (= 13), pandoc
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/bdrung/chaos-marmosets
Vcs-Browser: https://salsa.debian.org/debian/chaos-marmosets
Vcs-Git: https://salsa.debian.org/debian/chaos-marmosets.git

Package: chaos-marmosets
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Small chaos monkey programs
 This project contains small programs that behave badly. They can be used for
 chaos engineering to test the system behavior and the infrastructure setup for
 those cases.
 .
 divide-by-zero tries to divide a number by zero. It will immediately exit with
 signal 4 (SIGILL). This program is useful to test the process core dump
 configuration. In case of using a bug reporting system like apport, this
 program allows testing reporting the crash and retracing it.
 .
 leak-memory: This program will eat your memory like Obelix eats cake until it
 will eventually trigger the out of memory (OOM) killer. This program is useful
 to test configured cgroups memory limitations and the OOM killer behavior.
 .
 seg-fault: This program tries write to address zero and will trigger a
 segmentation fault (signal 11). It is useful to test the process core dump
 configuration. In case of using a bug reporting system like apport, this
 program allows testing reporting the crash and retracing it.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/bdrung/chaos-marmosets/releases .*/chaos-marmosets-(.*).tar.xz

## chaos-marmosets 0.1.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.1.1
+VERSION = 0.1.2
 
 CC ?= gcc
 CFLAGS ?= -std=gnu99 -Wall -Wextra -Werror -O3

=== debian/changelog ===
chaos-marmosets (0.1.2-2) unstable; urgency=medium

  * test: Expect divide-by-zero to exit with SIGTRAP on arm64 and ppc64el
    (Closes: #1037962)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 02 Jul 2023 17:00:44 +0200

chaos-marmosets (0.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2
  * debian/watch: Query api.github.com for release tarballs
  * Add autopkgtest for divide-by-zero and seg-fault

 -- Benjamin Drung <bdrung@debian.org>  Mon, 17 Apr 2023 19:21:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Benjamin Drung <bdrung@debian.org>
 Build-Depends: debhelper-compat (= 13), pandoc
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/bdrung/chaos-marmosets
 Vcs-Browser: https://salsa.debian.org/debian/chaos-marmosets
 Vcs-Git: https://salsa.debian.org/debian/chaos-marmosets.git

## chaos-marmosets 0.2.0

=== Makefile ===
VERSION = 0.2.0

CC ?= gcc
CFLAGS ?= -std=gnu99 -Wall -Wextra -Werror -O3
PREFIX ?= /usr

all: divide-by-zero leak-memory seg-fault doc

%: %.c noinline.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^

check:
	./divide-by-zero-python 2>&1 | grep -q ^ZeroDivisionError

clean:
	rm -f divide-by-zero leak-memory seg-fault *.1

%.1: %.1.md
	pandoc -s -t man $^ -o $@

doc: divide-by-zero.1 divide-by-zero-python.1 leak-memory.1 seg-fault.1

install: divide-by-zero leak-memory seg-fault
	install -D -m 755 divide-by-zero $(DESTDIR)$(PREFIX)/bin/divide-by-zero
	install -D -m 755 divide-by-zero-python $(DESTDIR)$(PREFIX)/bin/divide-by-zero-python
	install -D -m 755 leak-memory $(DESTDIR)$(PREFIX)/bin/leak-memory
	install -D -m 755 seg-fault $(DESTDIR)$(PREFIX)/bin/seg-fault
	install -D -m 644 divide-by-zero.1 $(DESTDIR)$(PREFIX)/share/man/man1/divide-by-zero.1
	install -D -m 644 divide-by-zero-python.1 $(DESTDIR)$(PREFIX)/share/man/man1/divide-by-zero-python.1
	install -D -m 644 leak-memory.1 $(DESTDIR)$(PREFIX)/share/man/man1/leak-memory.1
	install -D -m 644 seg-fault.1 $(DESTDIR)$(PREFIX)/share/man/man1/seg-fault.1

version:
	@echo $(VERSION)

%.asc: %
	gpg --armor --batch --detach-sign --yes --output $@ $^

%.tar.xz: divide-by-zero.1.md divide-by-zero.c divide-by-zero-python.1.md divide-by-zero-python leak-memory.1.md leak-memory.c LICENSE Makefile NEWS noinline.h README.md seg-fault.1.md seg-fault.c
	tar -cJf $@ --transform 's,^,chaos-marmosets-$(VERSION)/,' $^

dist: chaos-marmosets-$(VERSION).tar.xz chaos-marmosets-$(VERSION).tar.xz.asc

.PHONY: all check clean dist doc install version

=== debian/changelog ===
chaos-marmosets (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Build with dh sequence python3 for divide-by-zero-python
  * Update year in copyright

 -- Benjamin Drung <bdrung@debian.org>  Mon, 03 Jun 2024 10:26:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Benjamin Drung <bdrung@debian.org>
-Build-Depends: debhelper-compat (= 13), pandoc
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, pandoc
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/bdrung/chaos-marmosets
@@ -11,7 +11,7 @@
 
 Package: chaos-marmosets
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Description: Small chaos monkey programs
  This project contains small programs that behave badly. They can be used for
  chaos engineering to test the system behavior and the infrastructure setup for

=== debian/tests/control ===
Tests: crashes
Depends: chaos-marmosets
Restrictions: allow-stderr
